Kerbal Space Program - Bug #23282

Can't launch mission with craft that has propeller blades from 1.7.3
07/30/2019 06:18 PM - Brikoleur

Status: Duplicate Start date: 07/30/2019
Severity: Low % Done: 100%
Assignee: victorr

Category: Gameplay

Target version:

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

To reproduce:

1. Create a mission with starting conditions "Landed, Duna."

2. Test mission

3. Build (or use a copy of) a craft that uses propeller blades introduced in 1.7.3
4. Launch

- Expected: Mission starts on Duna
- Observed: "Could not start mission."

Note: This appears to be regression, a similar issue was present in 1.7.0 and manifested with other Breaking Ground parts.

Related issues:
Related to Kerbal Space Program - Bug #23184: NRE for MH mission if the vesse... Resolved 07/14/2019

History

#1 - 07/30/2019 08:12 PM - arctangent

Sounds possibly similar to #231847?

Presumably the blades are attached to a rotor?

If you remove the blades but keep the rotor, is it still broken?
If you remove any wheels from your craft does it now work?

#2 - 07/31/2019 07:01 AM - Brikoleur

arctangent wrote:

Sounds possibly similar to #231847?

Presumably the blades are attached to a rotor?

If you remove the blades but keep the rotor, is it still broken?
If you remove any wheels from your craft does it now work?

(1) Yes
(2) Yes

Thanks for the tip, | verified and the problem isn't the prop blades, it's the landing gear. My previous craft that worked fine in missions in 1.7.2 also
doesn't work, but does when | remove the wheels.

#3 - 11/01/2019 03:34 PM - victorr

- Related to Bug #23184: NRE for MH mission if the vessel has a rotor and wheels and the "brakes on" option set in "Spawn Vessel" node added

#4 - 11/01/2019 03:34 PM - victorr
- Status changed from New to Duplicate
- Assignee set to victorr

- % Done changed from 0 to 100
